Set runner logging settings PUT /platform/infrastructure/runners/{runner_id}/logging_settings Auth Set the logging settings for this runner instance. Expand all Path parameters runner_id string required The identifier for the runner Request body { } The new logging settings for the runner instance logging_levels map string to string required Overridden logging levels. Keys are logging levels. Allowable values are OFF, ERROR, WARN, INFO, DEBUG, TRACE, ALL Responses 200 The updated logging settings for the runner instance application/json logging_levels map string to string required Overridden logging levels. Keys are logging levels. Allowable values are OFF, ERROR, WARN, INFO, DEBUG, TRACE, ALL Response headers x-cloud-resource-version string The resource version, which is used to avoid update conflicts with concurrent operations x-cloud-resource-created string The date-time when the resource was created (ISO format relative to UTC) x-cloud-resource-last-modified string The date-time when the resource was last modified (ISO format relative to UTC) 404 The logging settings for this runner were not found. (code: runners.logging_settings.not_found) application/json errors object[] required A list of errors that occurred in the failing request − Hide 3 properties code string required A structured code representing the error type that occurred message string required A human readable message describing the error that occurred fields string[] If the error can be tied to a specific field or fields in the user request, this lists those fields Response headers x-cloud-error-codes enum The error codes associated with the response